%bcond_without bootstrap

Name:       ibus-table-wubi
Version:    1.1.0.20090327
Release:    3%{?dist}
Summary:    Wubi input methods for ibus-table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# for noarch pkgconfig
BuildRequires: ibus-table >= 1.1.0.20090220-5
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.1
Requires(post):   ibus-table > 1.1.0

%description
The package contains Wubi input methods for Table engine of IBus platform. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
./autogen.sh \
    --prefix=%{_prefix} \
    --enable-wubi86
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/wubi86.db

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/wubi86.db
%{_datadir}/ibus-table/icons/wubi86.svg

%changelog
* Wed Jun 03 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090327-3.fc11
- Fixed index creation errors at post-install by removals of bootstrap check.

* Thu May 28 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090327-2.fc11
- Rebuilt.
* Wed May 20 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090327-1.fc11
- Backported from F-11.
